/*
 * Copyright (C) 2011, Mukesh Rathor, Oracle Corp.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License v2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 021110-1307, USA.
 */

#ifndef __XEN_PUBLIC_XENPERF_H__
#define __XEN_PUBLIC_XENPERF_H__

#include "xen.h"
#include "perf/xmstat.h"

#define XENPERF_INTERFACE_VERSION 0x00000001

enum {
    XEN_PERFOP_XMSTAT=1,
};

struct xen_perfop_xmstat;
struct xen_perfop {
    uint32_t cmd;
    uint32_t interface_version;                 /* XENPERF_INTERFACE_VERSION */
    union {
        struct xen_perfop_xmstat perf_xmstat;
    } u;
};

typedef struct xen_perfop xen_perfop_t;
DEFINE_XEN_GUEST_HANDLE(xen_perfop_t);

#endif   /* __XEN_PUBLIC_XENPERF_H__ */

/*
 * Local variables:
 * mode: C
 * c-set-style: "BSD"
 * c-basic-offset: 4
 * tab-width: 4
 * indent-tabs-mode: nil
 * End:
 */
